import { Button } from 'react-bootstrap';
import SearchBar from '../components/SearchBar';
import { Plus } from 'lucide-react';
import React, { useEffect, useState } from 'react';
import { useDispatch } from 'react-redux';
import { fetchTemplates } from '../store/slices/inboxSlice';
import TemplateList from '../components/TemplateList';

export default function InboxTemplate() {
    const [activeTab, setActiveTab] = useState('all');
    const dispatch = useDispatch();

    useEffect(() => {
        dispatch(fetchTemplates(activeTab));
    }, [dispatch, activeTab]);

    return (
        <React.Fragment>
            <div className='function-bar'>
                <SearchBar />
                <Button onClick={() => setShowAddBrandModal(true)}>
                    <Plus />
                    Add Template
                </Button>
            </div>
            <div className='breadcrumb'>
                <div className='breadcrumb-item'>Templates</div>
            </div>
            <div className='tab-switches'>
                <div
                    className={`tab-switch-item ${activeTab === 'all' ? 'active' : ''}`}
                    onClick={() => setActiveTab('all')}
                >
                    全部
                </div>
                <div
                    className={`tab-switch-item ${activeTab === 'initial' ? 'active' : ''}`}
                    onClick={() => setActiveTab('initial')}
                >
                    初步建联
                </div>
                <div
                    className={`tab-switch-item ${activeTab === 'bargain' ? 'active' : ''}`}
                    onClick={() => setActiveTab('bargain')}
                >
                    砍价邮件
                </div>
                <div
                    className={`tab-switch-item ${activeTab === 'script' ? 'active' : ''}`}
                    onClick={() => setActiveTab('script')}
                >
                    脚本邮件
                </div>
                <div
                    className={`tab-switch-item ${activeTab === 'cooperation' ? 'active' : ''}`}
                    onClick={() => setActiveTab('cooperation')}
                >
                    合作追踪
                </div>
            </div>
            <TemplateList activeTab={activeTab} />
        </React.Fragment>
    );
}
